TOUCH(1)

BEZEICHNUNG
touch - Dateien erstellen oder Zeitstempel von Dateien ändern

ÜBERSICHT
touch [OPTION]… DATEI…

BESCHREIBUNG

Die Zugriffs‐ und Modifikationszeiten jeder DATEI auf die momentane Zeit aktualisieren.

Ein DATEI-Argument, das nicht existiert, wird leer angelegt, außer wenn -c oder -h angegeben werden.

Eine DATEI-Argumentzeichenkette mit »-« wird besonders gehandhabt und veranlasst Touch die Zeiten für die Datei, die mit der Standardausgabe verbunden ist, zu ändern.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a  Nur die Zugriffszeit ändern

-c, --no-create
    Keine Dateien erstellen

-d, --date=ZEICHENKETTE
    ZEICHENKETTE auswerten und statt der aktuellen Zeit verwenden

-f  (ignoriert)

-h, --no-dereference
    Betrifft jeden symbolischen Verweis statt irgendeiner referenzierten Datei; nützlich auf Systemen, die die Zeitstempel für symbolische Verweise ändern können

-m  Nur Modifikationszeit ändern

-r, --reference=DATEI
    Die Zeiten dieser Datei anstatt der aktuellen Zeit verwenden

-t [[CC]YY]MMDDhhmm[.ss]
    Angegebene Zeit anstelle der aktuellen Zeit verwenden, mit einem Datum-Zeit-Format, das sich von dem von -d unterscheidet

--time=WORT
    Angeben, welche Zeit geändert werden soll: Zugriffszeit (-a): »access«, »atime«, »use«; Veränderungszeit (-m): »modify«, »mtime«

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

DATUMSZEICHENKETTE
Bei der Anweisung --date=ZEICHENKETTE kann ein menschenlesbares Datum auf Englisch in einem ziemlich freien Format angegeben werden, beispielsweise »Sun, 29 Feb 2004 16:21:42 -0800«, »2004-02-29 16:21:42« oder sogar »next Thursday« (nächster Donnerstag). Eine Datumszeichenkette darf Teile enthalten, die das Kalenderdatum angeben, die Tageszeit, Zeitzone, den Tag der Woche, eine relative Zeit, ein relatives Datum sowie Zahlen. Eine leere Zeichenkette bedeutet den Anfang des aktuellen Tages. Das Format der Datumszeichenkette ist komplexer, als es hier in einfachen Worten beschrieben werden kann. In der Info-Dokumentation ist es vollständig erklärt.

AUTOR
Geschrieben von Paul Rubin, Arnold Robbins, Jim Kingdon, David MacKenzie und Randy Smith.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/touch>
oder lokal verfügbar mit: info '(coreutils) touch invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Chris Leick <c.leick@vollbio.de> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.